Bug 15679 - Fixed backgrounds should behave like 'scroll' inside transformed elements
Summary: Fixed backgrounds should behave like 'scroll' inside transformed elements
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 523.x (Safari 3)
Hardware: Mac OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-24 13:31 PDT by Dave Hyatt
Modified: 2016-08-05 10:28 PDT (History)
2 users (show)

See Also:


Attachments
simple example of problem (2.38 KB, text/html)
2009-03-07 06:01 PST, Ken Martin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Hyatt 2007-10-24 13:31:10 PDT
Fixed backgrounds should not be affected by the transform, but should always render as though offset from the viewport.
Comment 1 Ken Martin 2009-03-07 06:01:21 PST
Created attachment 28389 [details]
simple example of problem
Comment 2 Ken Martin 2009-03-07 06:02:16 PST
Seeing this in nightly build, too: 530.1+

Have attached a pretty simple example file. There's WebKit "transform:" rules and everywhere "left:" rules in the CSS to demonstrate the problem. (The "everywhere" section is commented out by default.)
Comment 3 Simon Fraser (smfr) 2011-10-01 08:39:27 PDT
Known issue.
Comment 4 Simon Fraser (smfr) 2013-06-15 13:00:14 PDT
Spec <http://dev.w3.org/csswg/css-transforms/> now says:
"Fixed backgrounds on the root element are affected by any transform specified for that element. For all other elements that are effected by a transform (i.e. have a transform applied to them, or to any of their ancestor elements), a value of ‘fixed’ for the ‘background-attachment’ property is treated as if it had a value of ‘scroll’. The computed value of ‘background-attachment’ is not affected."
Comment 5 Markus Stange 2016-08-05 10:28:51 PDT
(In reply to comment #4)
> Spec <http://dev.w3.org/csswg/css-transforms/> now says:
> "Fixed backgrounds on the root element are affected by any transform
> specified for that element. For all other elements that are effected by a
> transform (i.e. have a transform applied to them, or to any of their
> ancestor elements), a value of ‘fixed’ for the ‘background-attachment’
> property is treated as if it had a value of ‘scroll’. The computed value of
> ‘background-attachment’ is not affected."

We (Mozilla) have shipped this change in Firefox 48. IIRC Edge has also shipped it.